Bug 95521 - math/blas : add optimized flags option
Summary: math/blas : add optimized flags option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-08 20:10 UTC by giffunip
Modified: 2006-04-13 18:53 UTC (History)
0 users

See Also:


Attachments
file.diff (920 bytes, patch)
2006-04-08 20:10 UTC, giffunip
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description giffunip 2006-04-08 20:10:13 UTC
Modern compilers know tricks, and in blas' case it's a good idea to have the option to try them.

That said, running the lapack tests didn't show major performance differences.
Comment 1 Emanuel Haupt freebsd_committer 2006-04-11 22:42:40 UTC
State Changed
From-To: open->feedback

Could you maybe make the port use OPTIONS and add the optimized compiler flags 
to CFLAGS instead of FFLAGS?
Comment 2 Emanuel Haupt freebsd_committer 2006-04-12 15:13:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tmclaugh

Over to tmclaugh. He is already working on this.
Comment 3 Emanuel Haupt freebsd_committer 2006-04-13 18:53:22 UTC
Responsible Changed
From-To: tmclaugh->ehaupt

Take.
Comment 4 Emanuel Haupt freebsd_committer 2006-04-13 18:53:30 UTC
State Changed
From-To: feedback->closed

Committed, thanks!